# Class CIM_PolicyRuleValidityPeriod
extends CIM_PolicyComponent

The PolicyRuleValidityPeriod aggregation represents scheduled activation and deactivation of a PolicyRule. If a PolicyRule is associated with multiple policy time periods via this association, then the Rule is active if at least one of the time periods indicates that it is active. (In other words, the PolicyTimePeriodConditions are ORed to determine whether the Rule is active.) A Time Period may be aggregated by multiple PolicyRules. A Rule that does not point to a PolicyTimePeriodCondition via this association is, from the point of view of scheduling, always active. It may, however, be inactive for other reasons. For example, the Rule's Enabled property may be set to "disabled" (value=2).

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Component
|
+--CIM_PolicyComponent
|
+--CIM_PolicyRuleValidityPeriod

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Aggregation | boolean | true
Association | boolean | true
Deprecated | string | CIM_PolicySetValidityPeriod

Description

string

The PolicyRuleValidityPeriod aggregation represents scheduled activation and deactivation of a PolicyRule. If a PolicyRule is associated with multiple policy time periods via this association, then the Rule is active if at least one of the time periods indicates that it is active. (In other words, the PolicyTimePeriodConditions are ORed to determine whether the Rule is active.) A Time Period may be aggregated by multiple PolicyRules. A Rule that does not point to a PolicyTimePeriodCondition via this association is, from the point of view of scheduling, always active. It may, however, be inactive for other reasons. For example, the Rule's Enabled property may be set to "disabled" (value=2).

UMLPackagePath | string | CIM::Policy
Version | string | 2.7.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
GroupComponent | CIM_PolicyRuleValidityPeriod | CIM_PolicyRule
PartComponent | CIM_PolicyRuleValidityPeriod | CIM_PolicyTimePeriodCondition

## Class Methods